summaryrefslogtreecommitdiffstats
path: root/libraries/DevIL/DevIL.SlackBuild
diff options
context:
space:
mode:
author Phil Warner2010-05-13 00:28:28 +0200
committer David Somero2010-05-13 00:28:28 +0200
commit337dba747c6d4333e94103cd1986c30365454e45 (patch)
tree4275fc9edbfddaabb06d401ea93e7db9a8aaaaa8 /libraries/DevIL/DevIL.SlackBuild
parent9b7e994fb430f1be697aef5380bba2dc4fa027d3 (diff)
downloadslackbuilds-337dba747c6d4333e94103cd1986c30365454e45.tar.gz
libraries/DevIL: Updated for version 1.6.8_rc2
Diffstat (limited to 'libraries/DevIL/DevIL.SlackBuild')
-rw-r--r--libraries/DevIL/DevIL.SlackBuild21
1 files changed, 14 insertions, 7 deletions
diff --git a/libraries/DevIL/DevIL.SlackBuild b/libraries/DevIL/DevIL.SlackBuild
index 8edd6781a9..f0ee54055e 100644
--- a/libraries/DevIL/DevIL.SlackBuild
+++ b/libraries/DevIL/DevIL.SlackBuild
@@ -18,10 +18,13 @@ OUTPUT=${OUTPUT:-/tmp}
if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
elif [ "$ARCH" = "x86_64" ]; then
SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
fi
set -e
@@ -43,25 +46,29 @@ find . \
# Also patch files to change (ILvoid) to (void) in order to
# fix issues with gcc 4.2.
# Thanks to David Somero for the heads up on this.
-patch -p1 < $CWD/ILvoid_fix_1.diff
-patch -p1 < $CWD/ILvoid_fix_2.diff
+patch -p1 < $CWD/patches/ILvoid_fix_1.diff
+patch -p1 < $CWD/patches/ILvoid_fix_2.diff
# There is a space in the filename's path, so we have to cd into
# the offending directory before patching.
( cd cpp\ wrapper
- patch < $CWD/ILvoid_fix_3.diff
+ patch < $CWD/patches/ILvoid_fix_3.diff
)
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
./configure \
- --prefix=/usr
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --build=$ARCH-slackware-linux
force_arch="$ARCH" make
make install DESTDIR=$PKG
( cd $PKG
- find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
- find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
)
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
@@ -73,4 +80,4 @@ mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
cd $PKG
-/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$PKG_VERSION-$ARCH-$BUILD$TAG.tgz
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$PKG_VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}